/*
 * file AllCcDemos.java
 * 
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM - you are allowed to copy, modify and 
 * redistribute this file as part of any program that interfaces with 
 * IBM Rational CM API.
 *
 * com.ibm.rational.stp.client.samples.AllCcDemos
 *
 * (C) Copyright IBM Corporation 2008, 2010.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.rational.cmapi.samples.cc;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * JUnit suite to run all ClearCase CM API demonstration programs.
 */
public class AllClearCaseDemos {

    public static Test suite() {
        TestSuite suite = new TestSuite("ClearCase CM API demo programs");

        suite.addTestSuite(AuthenticationDemo.class);
        suite.addTestSuite(AuthenticationDemo2.class);
        suite.addTestSuite(CheckoutDemo.class);
        suite.addTestSuite(CompareBaselinesDemo.class);
        suite.addTestSuite(CreateActivityDemo.class);
        suite.addTestSuite(ListVobsDemo.class);
        suite.addTestSuite(ReadWritePropertiesDemo.class);

        return suite;
    }
}
